using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

namespace RsssAndroidApp
{
    [Activity(Label = "RssListActivity")]
    public class RssListActivity : Activity
    {
        RssListAdapter rssListAdapter;
        ListView rssListView;
        //List<RssItem> testItems = new List<RssItem>();
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            SetContentView(Resource.Layout.RssListLayout);
            //rssListAdapter = new RssListAdapter(this, testItems);
            rssListAdapter = new RssListAdapter(this, RssViewModel.Model.Items);

            rssListView = FindViewById<ListView>(Resource.Id.rssListView);
            rssListView.Adapter = rssListAdapter;

            rssListView.ItemClick += RssListView_ItemClick;

            RssViewModel.Model.OnLoadCompleted += Model_OnLoadCompleted;

            //testItems.Add(new RssItem() { Title = "Titel 1", PubDate = "2017.03.08" });
            //testItems.Add(new RssItem() { Title = "Titel 2", PubDate = "2017.03.09" });
            //RssViewModel.Model.LoadTestItems();
            //RssViewModel.Model.LoadXmlNewsFromAsset(this);
            if (!RssViewModel.Model.IsLoaded || RssViewModel.Model.Items.Count==0)
                RssViewModel.Model.LoadNewsFromRssFeed();

            //rssListAdapter.NotifyDataSetChanged();

        }

        private void Model_OnLoadCompleted()
        {
            rssListAdapter.NotifyDataSetChanged();
        }

        private void RssListView_ItemClick(object sender, AdapterView.ItemClickEventArgs e)
        {
            Toast.MakeText(this,"Item selected "+ e.Position, ToastLength.Long).Show();
            RssViewModel.Model.SelectedItem =
                RssViewModel.Model.Items[e.Position];
            Intent newsIntent = new Intent(this,typeof(NewsActivity));
            StartActivity(newsIntent);
        }
    }
}