using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

namespace RsssAndroidApp
{
    public class RssListAdapter : BaseAdapter<RssItem>
    {
        List<RssItem> items;
        Activity context;
        public RssListAdapter(Activity context, List<RssItem> items)
            : base()
        {
            this.context = context;
            this.items = items;
        }
        public override long GetItemId(int position)
        {
            return position;
        }
        public override RssItem this[int position]
        {
            get { return items[position]; }
        }
        public override int Count
        {
            get { return items.Count; }
        }
        public override View GetView(int position, View convertView, ViewGroup parent)
        {
            var item = items[position];
            View view = convertView;
            if (view == null) // no view to re-use, create new
                view = context.LayoutInflater.Inflate(Resource.Layout.RssListItemLayout, null);
            view.FindViewById<TextView>(Resource.Id.pubDateTextView).Text = item.PubDate;
            view.FindViewById<TextView>(Resource.Id.TitleTextView).Text = item.Title;
            //view.FindViewById<ImageView>(Resource.Id.Image).SetImageResource(item.ImageResourceId);
            return view;
        }
    }
}